aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBruno Ribas <brunoribas@gmail.com>2016-11-16 13:27:20 +0000
committerBruno Ribas <brunoribas@gmail.com>2016-11-16 13:27:20 +0000
commit7ccd4fa48e409f9653c583da941d96de3734b894 (patch)
tree32f6f268e2e59684dbe017f035daf403e969f329
parentf9d317ce84f3e14926e3422d1277ec6cdb10f57f (diff)
downloadboca-7ccd4fa48e409f9653c583da941d96de3734b894.tar.gz
boca-7ccd4fa48e409f9653c583da941d96de3734b894.zip
debian/boca.postinst: Fix: chown and chmod in /var/www/boca
Signed-off-by: Bruno Ribas <brunoribas@gmail.com>
-rw-r--r--debian/boca.postinst7
1 files changed, 7 insertions, 0 deletions
diff --git a/debian/boca.postinst b/debian/boca.postinst
new file mode 100644
index 0000000..fe58575
--- /dev/null
+++ b/debian/boca.postinst
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+chown -R www-data.www-data /var/www/boca
+chmod -R go-rwx /var/www/boca/src/private
+chmod 4555 /usr/bin/safeexec
+
+service apache2 restart || true